# Google Play Developer API . purchases . voidedpurchases

## Instance Methods

Lists the purchases that were cancelled, refunded or charged-back.

### Method Details

`list(packageName, startTime=None, token=None, maxResults=None, startIndex=None, endTime=None)`

    Lists the purchases that were cancelled, refunded or charged-back.

    Args:
      packageName: string, The package name of the application for which voided purchases need to be returned (for example, 'com.some.thing'). (required)
      startTime: string, The start time of list window, in milliseconds since the epoch (Jan 1, 1970). If not specified, default to current time - 30 days, which is also the earlies accepted start time. This parameter will be ignored if pagination token is set.
      token: string, A parameter
      maxResults: integer, A parameter
      startIndex: integer, A parameter
      endTime: string, The end time of list window, in milliseconds since the epoch (Jan 1, 1970). If not specified, default to current time, which is also the latest accepted end time. This parameter will be ignored if pagination token is set.

    Returns:
      An object of the form:

        {
        "voidedPurchases": [
          { # A VoidedPurchase resource indicates the purchase was either cancelled/refunded/charged-back.
            "kind": "androidpublisher#voidedPurchase", # This kind represents a voided purchase object in the androidpublisher service.
            "voidedTimeMillis": "A String", # The time when the purchase was cancelled/refunded/chargeback, in milliseconds since the epoch (Jan 1, 1970).
            "purchaseToken": "A String", # The token that was generated when a purchase was made and uniquely identifies a purchase.
            "purchaseTimeMillis": "A String", # The time the purchase was made, in milliseconds since the epoch (Jan 1, 1970).
          },
        ],
        "tokenPagination": {
          "nextPageToken": "A String",
          "previousPageToken": "A String",
        },
        "pageInfo": {
          "totalResults": 42,
          "startIndex": 42,
          "resultPerPage": 42,
        },
      }